import {request} from '@/utils/request.js'

// 获取热映电影
export function hotList(data) {
	return request({
		url: '/springbatchservice/ypp/movie/movies',
		data
	})
}

// 获取待映电影
export function comingList(data) {
	return request({
		url: '/springbatchservice/ypp/movie/coming_movies',
		data
	})
}

// 获取影院筛选
export function cinema_filter(data) {
	return request({
		url: '/springbatchservice/ypp/movie/cinema_filter',
		data
	})
}

// 获取影院列表
export function cinemas(data) {
	return request({
		url: '/springbatchservice/ypp/movie/cinemas',
		data
	})
}

// 获取城市列表
export function cityList(data) {
	return request({
		url: '/springbatchservice/ypp/movie/get_citys',
		data
	})
}

// 获取电影详情
export function movieDetail(data) {
	return request({
		url: '/springbatchservice/ypp/movie/movie_detail',
		data
	})
}

// 获取电影的可选影院
export function movie_cinemas(data) {
	return request({
		url: '/springbatchservice/ypp/movie/movie_cinemas',
		data
	})
}


// 获取影院某个电影的排片列表
export function cinema_shows(data) {
	return request({
		url: '/springbatchservice/ypp/movie/cinema_shows',
		data
	})
}

// 获取场次座位详情
export function getSeat(data) {
	return request({
		url: '/springbatchservice/ypp/movie/session',
		data
	})
}

// 创建订单
export function create_order(data) {
	return request({
		url: '/springbatchservice/ypp/movie/create_order',
		method:'post',
		data
	})
}